> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/discounts-and-tips/customize-discounts/limit-the-number-of-discount-coupon-uses.md).

# Limit the number of discount coupon uses

Discount coupons can additionally be limited by the number of their uses. This allows you to create **one-time use coupons** for customers.

{% hint style="info" %}
If you don't yet have an app for Ecwid API access, start with the following [instructions](https://docs.ecwid.com/discounts-and-tips/customize-discounts/spaces/uOzT5egoVTAjMJwRuMQT/pages/IhHAmacGKQdbD0Fe0IUw#step-2.-get-your-first-application).
{% endhint %}

If you have an existing discount coupon, you can limit its usage to **new or regular customers only** with the following API call:

```http
PUT /api/v3/STOREID/discount_coupons/DISCOUNTCOUPONID
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "usesLimit": "ONCEPERCUSTOMER"
}
```

where `usesLimit` must be one of:

* `UNLIMITED` - no uses limit (use it to remove the limitation).
* `ONCEPERCUSTOMER` - discount coupon can be applied only once by every customer. Unique customers are defined by the email they enter at the checkout.
* `SINGLE` - discount coupon can be applied only once.

Change `STOREID` with your store ID, `DISCOUNTCOUPONID` with the discount coupon ID ([find discount coupon ID](/api-reference/rest-api/discounts/discount-coupons/search-discount-coupons.md)), and the `secret_token` with the secret access token of your app.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/discounts-and-tips/customize-discounts/limit-the-number-of-discount-coupon-uses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
